#ifndef	EFUNC_H
#define	EFUNC_H

#include <v_lib.h>

vboolean V_CALL ipl_unresolved_cb(void_p arg,vhandle_t lexer,vec_p val_ret);
vboolean evalLastReal(vhandle_t script,vec_t *result);
vboolean evalLastInt(vhandle_t script,s32_t *result);
vboolean evalLastUInt(vhandle_t script,u32_t *result);
vboolean evalLastBoolean(vhandle_t script,vboolean *result);
vboolean evalReal(vhandle_t script,vec_t *result);
vboolean evalInt(vhandle_t script,s32_t *result);
vboolean evalUInt(vhandle_t script,u32_t *result);
vboolean evalBoolean(vhandle_t script,vboolean *result);
void evalListFunctions(void);
void evalFreeFunctions(void);

#endif	/* !EFUNC */
